## faulter

#### OS/161 Reference Manual

### Name

faulter - commit address fault

### Synopsis

/testbin/faulter

### Description

faulter accesses an invalid memory address, thus crashing. It should be killed and not crash the entire system.

### Requirements

faulter uses the following system calls:

- write
- _exit

faulter should work properly, that is, get killed with an address fault, once the basic system calls assignment is complete.